## Error codes

Error codes — Error domains and codes.

## Synopsis

    #define             GUPNP_PROTOCOL_ERROR
    enum                GUPnPProtocolError;

## Description

## Details

### GUPNP_PROTOCOL_ERROR

    #define GUPNP_PROTOCOL_ERROR (gupnp_protocol_error_quark ())

The GQuark uniquely used by GUPnP AV protocol related errors.

Returns : | a GQuark uniquely used by GUPnP AV protocol related errors.

### enum GUPnPProtocolError

    typedef enum {
            GUPNP_PROTOCOL_ERROR_INVALID_SYNTAX,
            GUPNP_PROTOCOL_ERROR_OTHER
    } GUPnPProtocolError;

GError codes used for errors in the GUPNP_PROTOCOL_ERROR domain, upon any protocol related errors.

`GUPNP_PROTOCOL_ERROR_INVALID_SYNTAX` | Invalid syntax.
`GUPNP_PROTOCOL_ERROR_OTHER` | Unknown/unhandled protocol related errors.